#include "text.h"
#include <iostream>
using namespace std;

void show_histogram_text(vector<size_t> bins, size_t bin_count) {
    const size_t SCREEN_WIDTH = 80;
    const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;
    double max_bin;
    size_t height;
    max_bin = bins[0];
    height = bins[0];
    for (size_t i = 0; i < bin_count; i++) {
        if (bins[i] > max_bin) {
            max_bin = bins[i];
        }
    }

    bool flag = false;
    if (max_bin > 80) {
        flag = true;
    }
    for (size_t i = 0; i < bin_count; i++) {
        if (bins[i] < 100) cout << " ";
        if (bins[i] < 10) cout << " ";
        cout << bins[i] << "|";
        if (flag == true) {
            height = MAX_ASTERISK * (static_cast<double>(bins[i]) / max_bin);
        }
        else {
            height = bins[i];
        }
        for (size_t j = 0; j < height; j++) {
            cout << "*";
        }
        cout << endl;
    }
}
